Package com.smartgwt.client.types

# Enum TableMode

java.lang.Object
java.lang.Enum<TableMode>
com.smartgwt.client.types.TableMode

All Implemented Interfaces:
  `ValueEnum`, `Serializable`, `Comparable<TableMode>`, `Constable`

public enum TableMode extends Enum<TableMode> implements ValueEnum
Controls the display mode of TableView record display

- ## Nested Class Summary

  ## Nested classes/interfaces inherited from class java.lang.Enum

  `Enum.EnumDesc<E extends Enum<E>>`

- ## Enum Constant Summary

  Enum Constants
  Enum Constant
  Description
  `GROUPED`
  Grouped table is a set of rows embedded in a rounded rectangle
  `PLAIN`
  The default mode which displays a list of rows

- ## Method Summary

  Modifier and Type
  Method
  Description
  `String`
  `getValue()`
  `static TableMode`
  `valueOf(String name)`
  Returns the enum constant of this type with the specified name.
  `static TableMode[]`
  `values()`
  Returns an array containing the constants of this enum type, in the order they are declared.

  ### Methods inherited from class java.lang.Enum

  `clone, compareTo, describeConstable, equals, finalize, getDeclaringClass, hashCode, name, ordinal, toString, valueOf`

  ### Methods inherited from class java.lang.Object

  `getClass, notify, notifyAll, wait, wait, wait`

- ## Enum Constant Details

  - ### PLAIN

    public static final TableMode PLAIN
    The default mode which displays a list of rows

    If this enumerated value is used in a `Component XML` file or server-side DataSource descriptor (.ds.xml file), use the value "plain".

  - ### GROUPED

    public static final TableMode GROUPED
    Grouped table is a set of rows embedded in a rounded rectangle

    If this enumerated value is used in a `Component XML` file or server-side DataSource descriptor (.ds.xml file), use the value "grouped".

- ## Method Details

  - ### values

    public static TableMode[] values()
    Returns an array containing the constants of this enum type, in the order they are declared.
    Returns:
      an array containing the constants of this enum type, in the order they are declared

  - ### valueOf

    public static TableMode valueOf(String name)
    Returns the enum constant of this type with the specified name. The string must match exactly an identifier used to declare an enum constant in this type. (Extraneous whitespace characters are not permitted.)
    Parameters:
      `name` - the name of the enum constant to be returned.
    Returns:
      the enum constant with the specified name
    Throws:
      `IllegalArgumentException` - if this enum type has no constant with the specified name
      `NullPointerException` - if the argument is null

  - ### getValue

    public String getValue()
    Specified by:
      `getValue` in interface `ValueEnum`